Package org.apache.lucene.search.spell

# Interface Dictionary

All Known Implementing Classes:
  `DocumentDictionary`, `DocumentValueSourceDictionary`, `FileDictionary`, `HighFrequencyDictionary`, `LuceneDictionary`, `PlainTextDictionary`

public interface Dictionary
A simple interface representing a Dictionary. A Dictionary here is a list of entries, where every entry consists of term, weight and payload.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputIterator`
  `getEntryIterator()`
  Returns an iterator over all the entries

- ## Method Details

  - ### getEntryIterator

    InputIterator getEntryIterator() throws IOException
    Returns an iterator over all the entries
    Returns:
      Iterator
    Throws:
      `IOException`